Summary:	Simple Python bootloader config lib
Summary(pl.UTF-8):	Prosta biblioteka Pythona do konfiguracji bootloadera
Name:		python-booty
Version:	0.93
Release:	7
License:	LGPL
Group:		Libraries
# https://fedorahosted.org/releases/b/o/booty/ (not yet)
Source0:	booty-%{version}.tar.bz2
# Source0-md5:	e0dff87df9a94378ed6a4b5291edaaf7
Patch0:		%{name}-menu.lst.patch
Patch1:		%{name}-pld.patch
BuildRequires:	python-devel
BuildRequires:	rpmbuild(macros) >= 1.234
Requires:	python-rhpl >= 0.176-1.1
%pyrequires_eq	python-libs
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Small Python library for use with bootloader configuration by anaconda
and up2date.

%description -l pl.UTF-8
Prosta biblioteka Pythona do konfiguracji bootloadera używana przez
anacondę i up2date.

%prep
%setup -q -n booty-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	PYTHONLIBDIR=%{py_sitescriptdir}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	PYTHONLIBDIR=%{py_sitescriptdir}

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README TODO
%{py_sitescriptdir}/*.py[co]
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-booty.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 33d29ca
- release 7 (by relup.sh)

* Fri May 08 2009 Elan Ruusamäe <glen@pld-linux.org> fcd7d8d
- (old changes)
- install to standard python libs
- noarch
- seems that this code is merged to anaconda now

* Mon Dec 01 2008 Patryk Zawadzki <patrys@room-303.com> aec6502
- fix more occurences

* Mon Nov 17 2008 Patryk Zawadzki <patrys@room-303.com> 1dfdb93
- updated menu.lst patch
- rel 6

* Mon Nov 17 2008 Patryk Zawadzki <patrys@room-303.com> 3958735
- don't force a symlink

* Sun Nov 09 2008 Elan Ruusamäe <glen@pld-linux.org> aef5889
- return PLD Linux (brand) instead of number for productInfo
- enable menu.lst patch (why it was disabled without notice?)
- rel 5

* Sun Nov 09 2008 Elan Ruusamäe <glen@pld-linux.org> 5bd666f
- return PLD Linux (brand) instead of number for productInfo

* Sun Aug 31 2008 Jakub Bogusz <qboosh@pld-linux.org> 76337ae
- noted potential Source URL

* Sat Aug 30 2008 Patryk Zawadzki <patrys@room-303.com> 5aa3fe7
- more pld fixes
- rel 4

* Sat Aug 30 2008 Patryk Zawadzki <patrys@room-303.com> 04dafc1
- actually fix booty
- rel 3

* Sat Aug 30 2008 Patryk Zawadzki <patrys@room-303.com> 3edc7a1
- add initrd even if file is absent
- rel 2

* Fri Dec 14 2007 Patryk Zawadzki <patrys@room-303.com> 4315289
- 0.93

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> a0475b6
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f359e59
- converted to UTF-8

* Tue Aug 29 2006 Elan Ruusamäe <glen@pld-linux.org> 09d26a4
- rel 1

* Tue Jun 06 2006 Elan Ruusamäe <glen@pld-linux.org> 56d4470
- be compatible with old behaviour

* Tue Jun 06 2006 Elan Ruusamäe <glen@pld-linux.org> b832be8
- omit PLD Linux version and trailing newline

* Mon Jun 05 2006 Elan Ruusamäe <glen@pld-linux.org> 5e06709
- /etc/pld-release parsing; thx patrys!

* Mon Jun 05 2006 Elan Ruusamäe <glen@pld-linux.org> 4fef69a
- list all files as build system was stupid enough to omit files with syntax error from package

* Mon Jun 05 2006 Elan Ruusamäe <glen@pld-linux.org> 2bbc1fd
- PLD branding

